Subject: Re: [PATCH v20 net] net: pppoe: avoid zero-length arrays in struct pppoe_hdr

From: Florian Westphal <[email-masked]>
Date: Tue, 24 Feb 2026 23:09:06 +0100

Eric Woudstra <[email-masked]> wrote:
> Although it is needed to prevent warnings caused by my patches send to
> nf-next, it was asked to send this patch separately to netdev.

Yes, thanks for doing that.  While I occasionally do send non-nf patches
in pull requests, thats usually restricted to very small functional
dependencies, e.g. a new EXPORT_SYMBOL().

Dave/Eric D/Paolo/Jakub - this change can be applied to either net or
net-next; it avoids W=1 spew with patches under discussion on nf-next.